Retail Express API 2.1

Gets specific Product Attribute by unique id

Gets specific Product Attribute by unique id

get
https://api.retailexpress.com.au/v2/productattributes/{id}

Path Parameters

idinteger(int32)required

Product Attribute id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Attribute

Attribute

Product attribute model

* Additional properties are NOT allowed.
idinteger | null(int32)

Attribute Id

namestring | null

Attribute Name

typestring | nullread-only

Attribute Type

modified_onstring | null(date-time)
get/productattributes/{id}
 
application/json

productbarcodes

Searches Barcodes by parameters

Searches Barcodes by parameters

get
https://api.retailexpress.com.au/v2/productbarcodes

Query Parameters

product_idinteger | null(int32)

Product Id

product_statusstring | null

Product status. Accepted values: “enabled”, “disabled”, not specified.

barcodestring | null

Product barcode name

enabledboolean | null

Product barcode enabled

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Barcodes data

ProductBarcode.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Barcode model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productbarcodes
 
application/json

producteta

Searches Product Estimated Times of Arrival by parameters

Searches Product Estimated Times of Arrival by parameters

get
https://api.retailexpress.com.au/v2/producteta

Query Parameters

product_idinteger | null(int32)

Product Id. Supplier SKU property are skipped, if used.

skustring | null

SKU. Product Id property are skipped, if used.

quantity_orderedinteger(int32)

Quantity ordered. Required and must be other than 0

fulfilment_outlet_idinteger | null(int32)

Fulfilment Outlet Id. Must be other than 0

sales_channel_idinteger | null(int32)

Sales channel Id

available_for_preorderboolean | null

Available for preorder

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Estimated Times of Arrival data

ProductETA.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product ETA model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/producteta
 
application/json